> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Web Application scan findings for an asset

> Returns **web application** vulnerability findings (for example: URL-based issues) for a specific asset.

Use this endpoint when you already know the asset id and want detailed counts and list of **findings** for the asset.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/vulnerability/assets/webapp
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/vulnerability/assets/webapp:
    get:
      tags:
        - Vulnerability Assets
      summary: Web Application scan findings for an asset
      description: "Returns **web application** vulnerability findings (for example: URL-based issues) for a specific asset.\r\n\r\nUse this endpoint when you already know the asset id and want detailed counts and list of **findings** for the asset.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetWebAppFindings
      parameters:
        - name: assetId
          in: query
          description: Asset Id of Web Application Vulnerability scan.
          required: true
          schema:
            type: integer
            description: Asset Id of Web Application Vulnerability scan.
            format: int32
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerWebAppVuln'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
components:
  schemas:
    PartnerWebAppVuln:
      title: Web App Vulnerabilities
      type: object
      properties:
        TotalNumberFindings:
          title: Total Number Of Findings
          type: integer
          description: Total number of findings identified in the web application.
          format: int32
        NumberOfHighVulnFindings:
          title: Number Of High Vulnerability Findings
          type: integer
          description: Number of high severity vulnerability findings.
          format: int32
        NumberOfMedVulnFindings:
          title: Number Of Medium Vulnerability Findings
          type: integer
          description: Number of medium severity vulnerability findings.
          format: int32
        NumberOfLowVulnFindings:
          title: Number Of Low Vulnerability Findings
          type: integer
          description: Number of low severity vulnerability findings.
          format: int32
        NumberOfInfoVulnFindings:
          title: Number Of Informational Vulnerability Findings
          type: integer
          description: Number of informational severity vulnerability findings.
          format: int32
        RiskGrade:
          title: Risk Grade
          type:
            - string
            - 'null'
          description: >-
            The risk grade assigned to the web application based on the
            findings.
        Findings:
          title: Findings
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/PartnerWebAppVulnFinding'
          description: List of detailed vulnerability findings for the web application.
      additionalProperties: false
      description: Represents a web application vulnerability report from a partner API.
    PartnerWebAppVulnFinding:
      title: Web App Vulnerability Finding
      type: object
      properties:
        FindingName:
          title: Finding Name
          type:
            - string
            - 'null'
          description: Name of the vulnerability finding.
        FindingDescription:
          title: Finding Description
          type:
            - string
            - 'null'
          description: Description of the vulnerability finding.
        FindingSolution:
          title: Finding Solution
          type:
            - string
            - 'null'
          description: Recommended solution for the vulnerability finding.
        FindingOther:
          title: Finding Other
          type:
            - string
            - 'null'
          description: Other relevant information about the vulnerability finding.
        FindingReferenceURLs:
          title: Finding Reference URLs
          type:
            - string
            - 'null'
          description: Reference URLs for the vulnerability finding.
        FindingRiskLevelName:
          title: Severity
          type:
            - string
            - 'null'
          description: Risk level name associated with the vulnerability finding.
        FindingsCount:
          title: Findings Count
          type: integer
          description: Count of occurrences of this vulnerability finding.
          format: int32
        FindingDetails:
          title: Finding Details
          type:
            - string
            - 'null'
          description: Detailed information about the vulnerability finding.
      additionalProperties: false
      description: Represents a single vulnerability finding in a web application.

````